唯嘉利亚云安全 提供服务器维护、网站开发,网站安全运维,安全托管等服务!

libssh2 输入验证错误漏洞


文章来源:唯嘉利亚云安全   发布时间: 2019-09-18  已有 16 人 阅读

漏洞信息详情

libssh2 输入验证错误漏洞

漏洞简介

libssh2是一款实现SSH2协议的客户端C库,它能够执行远程命令、文件传输,同时为远程的程序提供安全的传输通道。

libssh2 1.9.0之前版本中的kex.c文件的ex_method_diffie_hellman_group_exchange_sha256_key_exchange存在输入验证错误漏洞。该漏洞源于网络系统或产品未对输入的数据进行正确的验证。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://libssh2.org/changes.html

受影响实体

    暂无


【版权声明】:除非注明,唯嘉利亚云安全文章均为原创,转载请以链接形式标明本文标题和地址
原文标题:libssh2 输入验证错误漏洞
原文地址:https://www.vgaliya.com/cve-9466.html


文章标签: